Bug 235364

Summary: Marble crashed when switch of map view type for OpenStreetMap
Product: marble Reporter: Nicolas Boulesteix <photonoxx>
Component: generalAssignee: marble-bugs
Status: RESOLVED FIXED    
Severity: crash CC: mike, nienhueser
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: Ubuntu Packages   
OS: Linux   
Latest Commit: Version Fixed In:

Description Nicolas Boulesteix 2010-04-25 17:54:16 UTC
Application: digikam (1.2.0)
KDE Platform Version: 4.4.2 (KDE 4.4.2)
Qt Version: 4.6.2
Operating System: Linux 2.6.32-21-generic x86_64
Distribution: Ubuntu 10.04 LTS

-- Information about the crash:
I just try to change the map view (in the right panel) from the Atlas type to the Openstreemap view and Digikam simply closed.

I am under Ubuntu 10.04 (from beta 2 and updated after that) and use Digikam and Kipiplugins in version 1.2 from and PPA repository (http://ppa.launchpad.net/philip5/kde44/ubuntu karmic main).

The crash can be reproduced every time.

 -- Backtrace:
Application: digiKam (digikam), signal: Floating point exception
[Current thread is 1 (Thread 0x7f63d44b17e0 (LWP 1900))]

Thread 15 (Thread 0x7f63b5a3c710 (LWP 1903)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f63cdb5b72b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x1418f50, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x1418f50, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00000000006deddb in Digikam::ScanController::run (this=0x1419470) at /build/buildd/digikam-1.2.0/digikam/scancontroller.cpp:516
#4  0x00007f63cdb5a775 in QThreadPrivate::start (arg=0x1419470) at thread/qthread_unix.cpp:248
#5  0x00007f63cd8ca9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f63ccc0169d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7f63b4f96710 (LWP 1958)):
#0  0x00007f63ccbf4f53 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f63c9ef14a9 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007f63c9ef18fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007f63cdc78566 in QEventDispatcherGlib::processEvents (this=0x188ac80, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#4  0x00007f63cdc4d992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007f63cdc4dd6c in QEventLoop::exec (this=0x7f63b4f95d70, flags=) at kernel/qeventloop.cpp:201
#6  0x00007f63cdb57d59 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007f63cdb5a775 in QThreadPrivate::start (arg=0x16c9760) at thread/qthread_unix.cpp:248
#8  0x00007f63cd8ca9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#9  0x00007f63ccc0169d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7f63affff710 (LWP 1959)):
#0  0x00007f63ccbf4f53 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f63c9ef14a9 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007f63c9ef18fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007f63cdc78566 in QEventDispatcherGlib::processEvents (this=0x1887e60, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#4  0x00007f63cdc4d992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007f63cdc4dd6c in QEventLoop::exec (this=0x7f63afffed70, flags=) at kernel/qeventloop.cpp:201
#6  0x00007f63cdb57d59 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007f63cdb5a775 in QThreadPrivate::start (arg=0x1887f50) at thread/qthread_unix.cpp:248
#8  0x00007f63cd8ca9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#9  0x00007f63ccc0169d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7f63af7fe710 (LWP 1960)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f63cdb5b72b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x175af68, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x175af68, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f63d14b05b2 in Digikam::LoadSaveThread::run (this=0x175af50) at /build/buildd/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007f63cdb5a775 in QThreadPrivate::start (arg=0x175af50) at thread/qthread_unix.cpp:248
#5  0x00007f63cd8ca9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f63ccc0169d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7f63aeffd710 (LWP 1961)):
#0  0xffffffffff60017b in ?? ()
#1  0x00007f63aeffca60 in ?? ()
#2  0x00007fffeb6d0852 in ?? ()
Backtrace stopped: previous frame identical to this frame (corrupt stack?)

Thread 10 (Thread 0x7f63ae7fc710 (LWP 1962)):
#0  pthread_once () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_once.S:45
#1  0x00007f63cdb5a436 in QThreadData::current () at thread/qthread_unix.cpp:134
#2  0x00007f63cdc789f9 in postEventSourcePrepare (s=0x7f63cdf62c30, timeout=0x7f63cdb5a3c0) at kernel/qeventdispatcher_glib.cpp:253
#3  0x00007f63c9ef0eb1 in g_main_context_prepare () from /lib/libglib-2.0.so.0
#4  0x00007f63c9ef1318 in ?? () from /lib/libglib-2.0.so.0
#5  0x00007f63c9ef18fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#6  0x00007f63cdc78566 in QEventDispatcherGlib::processEvents (this=0x177a460, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#7  0x00007f63cdc4d992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#8  0x00007f63cdc4dd6c in QEventLoop::exec (this=0x7f63ae7fbd70, flags=) at kernel/qeventloop.cpp:201
#9  0x00007f63cdb57d59 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#10 0x00007f63cdb5a775 in QThreadPrivate::start (arg=0x169bd00) at thread/qthread_unix.cpp:248
#11 0x00007f63cd8ca9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#12 0x00007f63ccc0169d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7f63aa583710 (LWP 1976)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x00007f63ac2cc081 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f63cd8ca9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007f63ccc0169d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7f63a9147710 (LWP 1980)):
#0  0x00007f63ccbf9fb3 in select () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007f63ac2f52c5 in xine_usec_sleep () from /usr/lib/libxine.so.1
#2  0x00007f63ac2d9c99 in ?? () from /usr/lib/libxine.so.1
#3  0x00007f63cd8ca9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#4  0x00007f63ccc0169d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7f63a8946710 (LWP 1981)):
#0  0x00007f63ccbf4f53 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f63c9ef14a9 in ?? () from /lib/libglib-2.0.so.0
#2  0x00007f63c9ef18fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#3  0x00007f63cdc78566 in QEventDispatcherGlib::processEvents (this=0x1dfaa10, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:414
#4  0x00007f63cdc4d992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#5  0x00007f63cdc4dd6c in QEventLoop::exec (this=0x7f63a8945d10, flags=) at kernel/qeventloop.cpp:201
#6  0x00007f63cdb57d59 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:487
#7  0x00007f63ac528440 in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#8  0x00007f63cdb5a775 in QThreadPrivate::start (arg=0x1dfa450) at thread/qthread_unix.cpp:248
#9  0x00007f63cd8ca9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#10 0x00007f63ccc0169d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f63a2c0e710 (LWP 1987)):
#0  0x00007f63ccbf4f53 in *__GI___poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=333) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f63a7f40915 in ?? () from /usr/lib/xine/plugins/1.27/xineplug_ao_out_alsa.so
#2  0x00007f63cd8ca9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007f63ccc0169d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f63a6a09710 (LWP 1988)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f63ac2dce23 in ?? () from /usr/lib/libxine.so.1
#2  0x00007f63cd8ca9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#3  0x00007f63ccc0169d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f63a6208710 (LWP 1989)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f63cdb5b72b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x20e16e8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x20e16e8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f63d14b05b2 in Digikam::LoadSaveThread::run (this=0x20e16d0) at /build/buildd/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007f63cdb5a775 in QThreadPrivate::start (arg=0x20e16d0) at thread/qthread_unix.cpp:248
#5  0x00007f63cd8ca9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f63ccc0169d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f63a3f74710 (LWP 1996)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f63cdb5b72b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x2482a98, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2482a98, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f63d14b05b2 in Digikam::LoadSaveThread::run (this=0x2482a80) at /build/buildd/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007f63cdb5a775 in QThreadPrivate::start (arg=0x2482a80) at thread/qthread_unix.cpp:248
#5  0x00007f63cd8ca9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f63ccc0169d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f63a0c0a710 (LWP 1997)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f63cdb5b72b in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x2515cb8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2515cb8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f63d14b05b2 in Digikam::LoadSaveThread::run (this=0x2515ca0) at /build/buildd/digikam-1.2.0/libs/threadimageio/loadsavethread.cpp:131
#4  0x00007f63cdb5a775 in QThreadPrivate::start (arg=0x2515ca0) at thread/qthread_unix.cpp:248
#5  0x00007f63cd8ca9ca in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f63ccc0169d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f63d44b17e0 (LWP 1900)):
[KCrash Handler]
#5  Marble::AbstractScanlineTextureMapper::nextTile (this=0x594d8a0, posX=@0x7fffeb6b8428, posY=@0x7fffeb6b8420) at ../../../../marble/src/lib/AbstractScanlineTextureMapper.cpp:529
#6  0x00007f63d09d6120 in Marble::AbstractScanlineTextureMapper::pixelValueF (this=0x594d8a0, lon=<value optimized out>, lat=<value optimized out>, scanLine=0x5a41c10)
    at ../../../../marble/src/lib/AbstractScanlineTextureMapper.cpp:192
#7  0x00007f63d09d7781 in Marble::SphericalScanlineTextureMapper::mapTexture (this=0x594d8a0, viewParams=<value optimized out>) at ../../../../marble/src/lib/SphericalScanlineTextureMapper.cpp:201
#8  0x00007f63d0960f1e in Marble::MarbleModel::paintGlobe (this=0x20607c0, painter=<value optimized out>, width=<value optimized out>, height=547, viewParams=0x205f640, redrawBackground=true, 
    dirtyRect=...) at ../../../../marble/src/lib/MarbleModel.cpp:577
#9  0x00007f63d0968d46 in Marble::MarbleMapPrivate::paintGround (this=0x205f620, painter=..., dirtyRect=<value optimized out>) at ../../../../marble/src/lib/MarbleMap.cpp:287
#10 0x00007f63d095909d in Marble::MarbleWidget::paintEvent (this=0x20d0470, evt=<value optimized out>) at ../../../../marble/src/lib/MarbleWidget.cpp:867
#11 0x00007f63ceb8f162 in QWidget::event (this=0x20d0470, event=0x7fffeb6b9180) at kernel/qwidget.cpp:8144
#12 0x00007f63ceb3922c in QApplicationPrivate::notify_helper (this=0x1236f40, receiver=0x20d0470, e=0x7fffeb6b9180) at kernel/qapplication.cpp:4300
#13 0x00007f63ceb3f6fb in QApplication::notify (this=0x7fffeb6bd8a0, receiver=0x20d0470, e=0x7fffeb6b9180) at kernel/qapplication.cpp:4183
#14 0x00007f63cfa9f526 in KApplication::notify (this=0x7fffeb6bd8a0, receiver=0x20d0470, event=0x7fffeb6b9180) at ../../kdeui/kernel/kapplication.cpp:302
#15 0x00007f63cdc4f06c in QCoreApplication::notifyInternal (this=0x7fffeb6bd8a0, receiver=0x20d0470, event=0x7fffeb6b9180) at kernel/qcoreapplication.cpp:704
#16 0x00007f63ceb977dd in QCoreApplication::sendSpontaneousEvent (this=0x205f7c0, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, 
    backingStore=0x16e9980) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#17 QWidgetPrivate::drawWidget (this=0x205f7c0, pdev=<value optimized out>, rgn=..., offset=<value optimized out>, flags=<value optimized out>, sharedPainter=0x0, backingStore=0x16e9980)
    at kernel/qwidget.cpp:5339
#18 0x00007f63ced51866 in QWidgetBackingStore::sync (this=0x16e9980) at painting/qbackingstore.cpp:1283
#19 0x00007f63ceb88b60 in QWidgetPrivate::syncBackingStore (this=0x1695ff0) at kernel/qwidget.cpp:1672
#20 0x00007f63ceb8f865 in QWidget::event (this=0x1760760, event=0x7fffeb6ba010) at kernel/qwidget.cpp:8291
#21 0x00007f63cef51cab in QMainWindow::event (this=0x1760760, event=0x7fffeb6ba010) at widgets/qmainwindow.cpp:1433
#22 0x00007f63cfbb66f3 in KXmlGuiWindow::event (this=0x2061e00, ev=0x7fffeb6b8428) at ../../kdeui/xmlgui/kxmlguiwindow.cpp:131
#23 0x00007f63ceb3922c in QApplicationPrivate::notify_helper (this=0x1236f40, receiver=0x1760760, e=0x7fffeb6ba010) at kernel/qapplication.cpp:4300
#24 0x00007f63ceb3f6fb in QApplication::notify (this=0x7fffeb6bd8a0, receiver=0x1760760, e=0x7fffeb6ba010) at kernel/qapplication.cpp:4183
#25 0x00007f63cfa9f526 in KApplication::notify (this=0x7fffeb6bd8a0, receiver=0x1760760, event=0x7fffeb6ba010) at ../../kdeui/kernel/kapplication.cpp:302
#26 0x00007f63cdc4f06c in QCoreApplication::notifyInternal (this=0x7fffeb6bd8a0, receiver=0x1760760, event=0x7fffeb6ba010) at kernel/qcoreapplication.cpp:704
#27 0x00007f63ced4ec47 in QCoreApplication::sendEvent (widget=0x1760760, updateImmediately=<value optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#28 sendUpdateRequest (widget=0x1760760, updateImmediately=<value optimized out>) at painting/qbackingstore.cpp:503
#29 0x00007f63ced520c6 in QWidgetBackingStore::markDirty (this=0x16e9980, rect=..., widget=0x20d0470, updateImmediately=true, invalidateBuffer=2) at painting/qbackingstore.cpp:667
#30 0x00007f63ceb8b48b in QWidget::repaint (this=0x20d0470, rect=...) at kernel/qwidget.cpp:10034
#31 0x00007f63ceb8b553 in QWidget::repaint (this=0x2061e00) at kernel/qwidget.cpp:9990
#32 0x00007f63d095ba9a in Marble::MarbleWidget::setMapThemeId (this=0x20d0470, mapThemeId=...) at ../../../../marble/src/lib/MarbleWidget.cpp:934
#33 0x00007f63d15acbdb in Digikam::WorldMapWidget::setMapTheme (this=0x20cfb30, theme=<value optimized out>) at /build/buildd/digikam-1.2.0/libs/imageproperties/worldmapwidget.cpp:406
#34 0x00007f63d15acd5e in Digikam::WorldMapThemeBtn::slotMapThemeChanged (this=0x21c2cb0, action=<value optimized out>) at /build/buildd/digikam-1.2.0/libs/imageproperties/worldmapwidget.cpp:893
#35 0x00007f63d15acde1 in Digikam::WorldMapThemeBtn::qt_metacall (this=0x21c2cb0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffeb6ba380)
    at /build/buildd/digikam-1.2.0/obj-x86_64-linux-gnu/digikam/worldmapwidget.moc:195
#36 0x00007f63cdc61e3f in QMetaObject::activate (sender=0x21c3020, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x0) at kernel/qobject.cpp:3293
#37 0x00007f63cef73002 in QMenu::triggered (this=0x2061e00, _t1=0x21c3f30) at .moc/release-shared/moc_qmenu.cpp:164
#38 0x00007f63cef7565d in QMenuPrivate::_q_actionTriggered (this=<value optimized out>) at widgets/qmenu.cpp:1129
#39 0x00007f63cef79542 in QMenu::qt_metacall (this=0x21c3020, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffeb6ba580) at .moc/release-shared/moc_qmenu.cpp:105
#40 0x00007f63cfb7d500 in KMenu::qt_metacall (this=0x2061e00, _c=3949691944, _id=0, _a=0x0) at ./kmenu.moc:76
#41 0x00007f63cdc61e3f in QMetaObject::activate (sender=0x21c3f30, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x0) at kernel/qobject.cpp:3293
#42 0x00007f63ceb33032 in QAction::triggered (this=0x2061e00, _t1=true) at .moc/release-shared/moc_qaction.cpp:263
#43 0x00007f63ceb350ab in QAction::activate (this=0x21c3f30, event=<value optimized out>) at kernel/qaction.cpp:1255
#44 0x00007f63cef7439d in QMenuPrivate::activateCausedStack (this=<value optimized out>, causedStack=..., action=0x21c3f30, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1011
#45 0x00007f63cef79dda in QMenuPrivate::activateAction (this=0x21c3060, action=0x21c3f30, action_e=QAction::Trigger, self=<value optimized out>) at widgets/qmenu.cpp:1103
#46 0x00007f63cfb7bcee in KMenu::mouseReleaseEvent (this=0x21c3020, e=0x7fffeb6b8428) at ../../kdeui/widgets/kmenu.cpp:471
#47 0x00007f63ceb8f582 in QWidget::event (this=0x21c3020, event=0x7fffeb6bb1d0) at kernel/qwidget.cpp:7998
#48 0x00007f63cef7bf9b in QMenu::event (this=0x21c3020, e=0x7fffeb6bb1d0) at widgets/qmenu.cpp:2414
#49 0x00007f63ceb3922c in QApplicationPrivate::notify_helper (this=0x1236f40, receiver=0x21c3020, e=0x7fffeb6bb1d0) at kernel/qapplication.cpp:4300
#50 0x00007f63ceb3fecb in QApplication::notify (this=0x7fffeb6bd8a0, receiver=0x21c3020, e=0x7fffeb6bb1d0) at kernel/qapplication.cpp:3865
#51 0x00007f63cfa9f526 in KApplication::notify (this=0x7fffeb6bd8a0, receiver=0x21c3020, event=0x7fffeb6bb1d0) at ../../kdeui/kernel/kapplication.cpp:302
#52 0x00007f63cdc4f06c in QCoreApplication::notifyInternal (this=0x7fffeb6bd8a0, receiver=0x21c3020, event=0x7fffeb6bb1d0) at kernel/qcoreapplication.cpp:704
#53 0x00007f63ceb3f0ae in QCoreApplication::sendEvent (receiver=0x21c3020, event=0x7fffeb6bb1d0, alienWidget=0x0, nativeWidget=0x21c3020, buttonDown=<value optimized out>, 
    lastMouseReceiver=<value optimized out>, spontaneous=true) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#54 QApplicationPrivate::sendMouseEvent (receiver=0x21c3020, event=0x7fffeb6bb1d0, alienWidget=0x0, nativeWidget=0x21c3020, buttonDown=<value optimized out>, lastMouseReceiver=<value optimized out>, 
    spontaneous=true) at kernel/qapplication.cpp:2965
#55 0x00007f63cebbf3dd in QETWidget::translateMouseEvent (this=0x21c3020, event=<value optimized out>) at kernel/qapplication_x11.cpp:4302
#56 0x00007f63cebbd8ac in QApplication::x11ProcessEvent (this=<value optimized out>, event=0x7fffeb6bbaf0) at kernel/qapplication_x11.cpp:3501
#57 0x00007f63cebe9882 in x11EventSourceDispatch (s=0x123ac50, callback=<value optimized out>, user_data=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:146
#58 0x00007f63c9eed8c2 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#59 0x00007f63c9ef1748 in ?? () from /lib/libglib-2.0.so.0
#60 0x00007f63c9ef18fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#61 0x00007f63cdc78513 in QEventDispatcherGlib::processEvents (this=0x11fc6d0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#62 0x00007f63cebe946e in QGuiEventDispatcherGlib::processEvents (this=0x2061e00, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#63 0x00007f63cdc4d992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#64 0x00007f63cdc4dd6c in QEventLoop::exec (this=0x7fffeb6bbe20, flags=) at kernel/qeventloop.cpp:201
#65 0x00007f63cef774e5 in QMenu::exec (this=0x21c3020, p=<value optimized out>, action=0x0) at widgets/qmenu.cpp:2063
#66 0x00007f63cefbd353 in QToolButtonPrivate::popupTimerDone (this=0x21c2cf0) at widgets/qtoolbutton.cpp:955
#67 0x00007f63cefbdc11 in QToolButton::qt_metacall (this=0x21c2cb0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffeb6bc160) at .moc/release-shared/moc_qtoolbutton.cpp:114
#68 0x00007f63d15acd90 in Digikam::WorldMapThemeBtn::qt_metacall (this=0x2061e00, _c=3949691944, _id=0, _a=0x0) at /build/buildd/digikam-1.2.0/obj-x86_64-linux-gnu/digikam/worldmapwidget.moc:189
#69 0x00007f63cdc61e3f in QMetaObject::activate (sender=0x21c2cb0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x0) at kernel/qobject.cpp:3293
#70 0x00007f63ceeee45e in QAbstractButtonPrivate::emitPressed (this=0x21c2cf0) at widgets/qabstractbutton.cpp:560
#71 0x00007f63ceeee63c in QAbstractButton::mousePressEvent (this=0x21c2cb0, e=0x7fffeb6bcb80) at widgets/qabstractbutton.cpp:1096
#72 0x00007f63cefbe49a in QToolButton::mousePressEvent (this=0x21c2cb0, e=0x7fffeb6bcb80) at widgets/qtoolbutton.cpp:712
#73 0x00007f63ceb8f569 in QWidget::event (this=0x21c2cb0, event=0x7fffeb6bcb80) at kernel/qwidget.cpp:7994
#74 0x00007f63ceb3922c in QApplicationPrivate::notify_helper (this=0x1236f40, receiver=0x21c2cb0, e=0x7fffeb6bcb80) at kernel/qapplication.cpp:4300
#75 0x00007f63ceb3fecb in QApplication::notify (this=0x7fffeb6bd8a0, receiver=0x21c2cb0, e=0x7fffeb6bcb80) at kernel/qapplication.cpp:3865
#76 0x00007f63cfa9f526 in KApplication::notify (this=0x7fffeb6bd8a0, receiver=0x21c2cb0, event=0x7fffeb6bcb80) at ../../kdeui/kernel/kapplication.cpp:302
#77 0x00007f63cdc4f06c in QCoreApplication::notifyInternal (this=0x7fffeb6bd8a0, receiver=0x21c2cb0, event=0x7fffeb6bcb80) at kernel/qcoreapplication.cpp:704
#78 0x00007f63ceb3f0ae in QCoreApplication::sendEvent (receiver=0x21c2cb0, event=0x7fffeb6bcb80, alienWidget=0x21c2cb0, nativeWidget=0x20ced30, buttonDown=<value optimized out>, 
    lastMouseReceiver=<value optimized out>, spontaneous=true) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#79 QApplicationPrivate::sendMouseEvent (receiver=0x21c2cb0, event=0x7fffeb6bcb80, alienWidget=0x21c2cb0, nativeWidget=0x20ced30, buttonDown=<value optimized out>, 
    lastMouseReceiver=<value optimized out>, spontaneous=true) at kernel/qapplication.cpp:2965
#80 0x00007f63cebbef65 in QETWidget::translateMouseEvent (this=0x20ced30, event=<value optimized out>) at kernel/qapplication_x11.cpp:4368
#81 0x00007f63cebbd8ac in QApplication::x11ProcessEvent (this=<value optimized out>, event=0x7fffeb6bd4a0) at kernel/qapplication_x11.cpp:3501
#82 0x00007f63cebe9882 in x11EventSourceDispatch (s=0x123ac50, callback=<value optimized out>, user_data=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:146
#83 0x00007f63c9eed8c2 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#84 0x00007f63c9ef1748 in ?? () from /lib/libglib-2.0.so.0
#85 0x00007f63c9ef18fc in g_main_context_iteration () from /lib/libglib-2.0.so.0
#86 0x00007f63cdc78513 in QEventDispatcherGlib::processEvents (this=0x11fc6d0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:412
#87 0x00007f63cebe946e in QGuiEventDispatcherGlib::processEvents (this=0x2061e00, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#88 0x00007f63cdc4d992 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#89 0x00007f63cdc4dd6c in QEventLoop::exec (this=0x7fffeb6bd7d0, flags=) at kernel/qeventloop.cpp:201
#90 0x00007f63cdc51aab in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#91 0x000000000077d3bb in main (argc=<value optimized out>, argv=<value optimized out>) at /build/buildd/digikam-1.2.0/digikam/main.cpp:193

Reported using DrKonqi
Comment 1 Michael G. Hansen 2010-04-25 18:18:22 UTC
Looks like the crash occurs in Marble.

1. Does the crash also occur when you change the map type in the map searches tab?
2. Does the crash also occur in the standalone Marble application?

Michael
Comment 2 Nicolas Boulesteix 2010-04-25 23:11:44 UTC
(In reply to comment #1)
> Looks like the crash occurs in Marble.
> 
> 1. Does the crash also occur when you change the map type in the map searches
> tab?
> 2. Does the crash also occur in the standalone Marble application?
> 
> Michael

The answer is yes for the both case...

In marble, only switching the map view for Openstreetmap generates a crash. All other map type can be used without any problem.

I have an other computer with less or more the same components and Gnu/linux versions, but this "bug" is not reproducible on this other machine, so may be I need to try a re-installation of marble component ?
Comment 3 Michael G. Hansen 2010-04-26 07:34:53 UTC
Re-installing marble may help, but is not guaranteed to help. If you try this, make sure that you get all marble components (lib, marble, data).

Since you do not encounter the problem on all of your systems, you should try with a fresh user profile on the system where you encounter the crash.

I am reassigning this bug to the Marble team, since the bug is not digikam related any more.

Michael
Comment 4 Dennis Nienhüser 2010-04-26 19:26:31 UTC
Which marble version are you using?
Comment 5 Nicolas Boulesteix 2010-04-26 23:21:46 UTC
I use Marble 0.9.2.

But as Michael suggest it, I try to test marble with a new account and it works...

So I delete ~/.marble directory and ~/.kde/share/config/marblerc, and there's no more crash now.

So I don't know what was the cause, but may be this issue can be closed, except if there's a way where I can give more info.
Comment 6 Dennis Nienhüser 2010-04-30 23:30:22 UTC
Any chance you've got a backup of ~/.marble and ~/.kde/share/config/marblerc which caused the crash?
Comment 7 Nicolas Boulesteix 2010-05-01 11:14:33 UTC
Unfortunately I don't think...
Comment 8 jensmh 2010-05-19 00:52:39 UTC
We think that the problem has been dealt with.
If this is not the case please feel free to reopen the bug report if necessary.